### Method

# Ggit Repository file_status

#### Declaration [src]

    GgitStatusFlags
    ggit_repository_file_status (
      GgitRepository* repository,
      GFile* location,
      GError** error
    )

#### Description [src]

Gets the file status for a single file.

#### Parameters

`location`

  Type: `GFile`

  The file to retrieve status for, rooted at the repository working dir.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitStatusFlags`

The status for a single file.